import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as w } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, f = Object.getOwnPropertyDescriptor, i = (c, e, s, o) => {
  for (var r = o > 1 ? void 0 : o ? f(e, s) : e, n = c.length - 1, p; n >= 0; n--)
    (p = c[n]) && (r = (o ? p(e, s, r) : p(r)) || r);
  return o && r && h(e, s, r), r;
};
let t = class extends w {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowDownLarge", this.class = "c-pieIcon c-pieIcon--arrowDownLarge", this.name = "IconArrowDownLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowDownLarge"><path d="M15.125 3.75v21.875l-7-7-1.242 1.207 7.875 7.875a1.75 1.75 0 0 0 2.476 0l7.875-7.875-1.234-1.207-7 7V3.75h-1.75Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], t.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = i([
  g("icon-arrow-down-large")
], t);
export {
  t as IconArrowDownLarge
};
